Unit IDS4R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, IDS0R_p;

procedure IDS4R(N :Integer; NPAR :Integer; var T :Array of Real;
                var X :Array of Real; var X2 :Array of Real;
                var Y :Array of Real; var Y2 :Array of Real;
                var F :Array of Real; var G :Array of Real);

implementation

procedure IDS4R(N :Integer; NPAR :Integer; var T :Array of Real;
                var X :Array of Real; var X2 :Array of Real;
                var Y :Array of Real; var Y2 :Array of Real;
                var F :Array of Real; var G :Array of Real);
var
J1,K :Integer;
U,V,D :Real;
label
_1,_2,_3;
begin
T[0] := 0.0;
J1 := 1;
for K:=2 to N do
 begin
  U := X[K-1]-X[J1-1];
  V := Y[K-1]-Y[J1-1];
  if ( NPAR <> 3 ) 
   then goto _1;
  D := Abs(U)+Abs(V);
  goto _2;
_1:
  D := U*U+V*V;
  if ( NPAR = 1 ) 
   then D := Sqrt(D);
_2:
  T[K-1] := T[J1-1]+D;
  J1 := K;
_3:
 end;
IDS0R(N,T,X,X2,F,G);
IDS0R(N,T,Y,Y2,F,G);
end;

end.
